# Changelog

[PyPI History][1]

[1]: https://pypi.org/project/google-cloud-securitycenter/#history

## 0.3.0

07-24-2019 17:29 PDT

### Implementation Changes
- Allow kwargs to be passed to create_channel, update templates (via synth). ([#8402](https://github.com/googleapis/google-cloud-python/pull/8402))
- Update return type of run_asset_discovery (via synth). ([#8032](https://github.com/googleapis/google-cloud-python/pull/8032))
- Security Center: Add routing header to method metadata (via synth). ([#7589](https://github.com/googleapis/google-cloud-python/pull/7589))
- Remove classifier for Python 3.4 for end-of-life. ([#7535](https://github.com/googleapis/google-cloud-python/pull/7535))

### New Features
- Add 'options_' argument to clients' 'get_iam_policy'; pin black version (via synth). ([#8658](https://github.com/googleapis/google-cloud-python/pull/8658))
- Add 'client_options' support, update list method docstrings (via synth). ([#8521](https://github.com/googleapis/google-cloud-python/pull/8521))

### Dependencies
- Bump minimum version for google-api-core to 1.14.0. ([#8709](https://github.com/googleapis/google-cloud-python/pull/8709))
- Update pin for 'grpc-google-iam-v1' to 0.12.3+. ([#8647](https://github.com/googleapis/google-cloud-python/pull/8647))

### Documentation
- Link to googleapis.dev documentation in READMEs. ([#8705](https://github.com/googleapis/google-cloud-python/pull/8705))
- Update docstrings (via synth). ([#8711](https://github.com/googleapis/google-cloud-python/pull/8711))
- Add compatibility check badges to READMEs. ([#8288](https://github.com/googleapis/google-cloud-python/pull/8288))
- Docstring changes (via synth). ([#7704](https://github.com/googleapis/google-cloud-python/pull/7704))
- Add Snippets for security center list_assets call ([#7538](https://github.com/googleapis/google-cloud-python/pull/7538))

### Internal / Testing Changes
- Add docs job to publish to googleapis.dev. ([#8464](https://github.com/googleapis/google-cloud-python/pull/8464))
- Declare encoding as utf-8 in pb2 files (via synth). ([#8362](https://github.com/googleapis/google-cloud-python/pull/8362))
- Add disclaimer to auto-generated template files (via synth).([#8326](https://github.com/googleapis/google-cloud-python/pull/8326))
- Fix coverage in 'types.py' (via synth). ([#8163](https://github.com/googleapis/google-cloud-python/pull/8163))
- Add empty lines (via synth). ([#8070](https://github.com/googleapis/google-cloud-python/pull/8070))
- Add nox session `docs`, reorder methods (via synth). ([#7780](https://github.com/googleapis/google-cloud-python/pull/7780))
- Use alabaster theme everwhere. ([#8021](https://github.com/googleapis/google-cloud-python/pull/8021))
- Add Ruby package configuration in protos (via synth). ([#7741](https://github.com/googleapis/google-cloud-python/pull/7741))
- proto file housekeeping FBO PHP (via synth).

## 0.2.0

03-12-2019 17:09 PDT


### Implementation Changes
- Remove 'having' filter arguments from query methods (via synth). [#7511](https://github.com/googleapis/google-cloud-python/pull/7511))
- Remove unused message exports. ([#7274](https://github.com/googleapis/google-cloud-python/pull/7274))
- Trivial gapic-generator change. ([#7233](https://github.com/googleapis/google-cloud-python/pull/7233))
- Protoc-generated serialization update, docstring tweak. ([#7094](https://github.com/googleapis/google-cloud-python/pull/7094))

### New Features
- Add support for `v1` API. ([#7495](https://github.com/googleapis/google-cloud-python/pull/7495))

### Documentation
- googlecloudplatform --> googleapis in READMEs ([#7411](https://github.com/googleapis/google-cloud-python/pull/7411))
- Updated client library documentation URLs. ([#7307](https://github.com/googleapis/google-cloud-python/pull/7307))
- Update copyright headers
- Docstring update from .proto file. ([#7056](https://github.com/googleapis/google-cloud-python/pull/7056))
- Fix 404 for 'Client Library Documentation' link. ([#7041](https://github.com/googleapis/google-cloud-python/pull/7041))
- Pick up stub docstring fix in GAPIC generator. ([#6981](https://github.com/googleapis/google-cloud-python/pull/6981))

### Internal / Testing Changes
- Proto file housekeeping FBO C# (via synth). ([#7502](https://github.com/googleapis/google-cloud-python/pull/7502))
- Copy lintified proto files (via synth). ([#7470](https://github.com/googleapis/google-cloud-python/pull/7470))
- Add clarifying comment to blacken nox target. ([#7402](https://github.com/googleapis/google-cloud-python/pull/7402))
- Add protos as an artifact to library ([#7205](https://github.com/googleapis/google-cloud-python/pull/7205))

## 0.1.1

12-18-2018 09:45 PST


### Implementation Changes
- Import `iam.policy` from `google.api_core`. ([#6741](https://github.com/googleapis/google-cloud-python/pull/6741))
- Pick up changes to GAPIC generator. ([#6506](https://github.com/googleapis/google-cloud-python/pull/6506))
- Assorted synth fixups / cleanups ([#6400](https://github.com/googleapis/google-cloud-python/pull/6400))
- Fix `client_info` bug, update docstrings via synth. ([#6438](https://github.com/googleapis/google-cloud-python/pull/6438))

### Dependencies
- Bump minimum `api_core` version for all GAPIC libs to 1.4.1. ([#6391](https://github.com/googleapis/google-cloud-python/pull/6391))

### Documentation
- Document Python 2 deprecation ([#6910](https://github.com/googleapis/google-cloud-python/pull/6910))
- Docstring changes via synth. ([#6473](https://github.com/googleapis/google-cloud-python/pull/6473))

### Internal / Testing Changes
- Add baseline for synth.metadata
- Update noxfile.
- Blacken all gen'd libs ([#6792](https://github.com/googleapis/google-cloud-python/pull/6792))
- Omit local deps ([#6701](https://github.com/googleapis/google-cloud-python/pull/6701))
- Run black at end of synth.py ([#6698](https://github.com/googleapis/google-cloud-python/pull/6698))
- Run Black on Generated libraries ([#6666](https://github.com/googleapis/google-cloud-python/pull/6666))
- Add templates for flake8, coveragerc, noxfile, and black. ([#6642](https://github.com/googleapis/google-cloud-python/pull/6642))
- Overlooked synth changes. ([#6439](https://github.com/googleapis/google-cloud-python/pull/6439))

## 0.1.0

11-01-2018 15:12 PDT

### New Features
- Generate Security Center Client Library ([#6356](https://github.com/googleapis/google-cloud-python/pull/6356))

